%define tarname firmware-extractor

Summary: Speedtouch firmware extractor
Name: speedtouch-firmware-extractor
Version: 0.1
Release: %mkrel 9
Source0: %{tarname}.tar.bz2
License: GPLv2+
Group: System/Kernel and hardware
Url: http://www.linux-usb.org/SpeedTouch/firmware/index.html

%description
This is a small application to prepare and install the firmware for a
SpeedTouch USB modem so that a 2.6.10 kernel (or later) can load the
firmware without the assistance of modem_run.

The firmware extractor splits the firmware file (old mgmt.o) in
smaller firmware files (stage1 and stage2) that are meant to be used
with hotplug firmware loading.

%prep
%setup -q -n %{tarname}

%build
gcc -o %{tarname} firmware.c

%install
rm -rf %{buildroot}
install -D -m755 %{tarname} %{buildroot}%{_sbindir}/%{tarname}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%{_sbindir}/%{tarname}


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.1-9.mga3
+ Revision: 382515
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jun 09 2011 ahmad <ahmad> 0.1-8.mga2
+ Revision: 102319
- Drop the buildroot declaration
- Clean spec a bit

* Sun Mar 06 2011 ennael <ennael> 0.1-7.mga1
+ Revision: 65624
- imported package speedtouch-firmware-extractor

